List transfer reports
curl --request GET \
--url https://api.prequel.co/reports/transfers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.prequel.co/reports/transfers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.prequel.co/reports/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"transfer": {
"id": "<string>",
"is_full_refresh": true,
"models": [
"<string>"
],
"log": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"rows_transferred": 123,
"delta_rows_transferred": 123,
"volume_transferred_in_mb": 123,
"actor_id": "<string>",
"source_ids": [
"<string>"
],
"destination_id": "<string>",
"model_metrics": [
{
"model_id": "<string>",
"rows_transferred": 123,
"delta_rows_transferred": 123,
"volume_transferred_in_mb": 123,
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"most_recent_last_updated_at": "2023-11-07T05:31:56Z",
"error": {
"error": "<unknown>",
"error_code": "<string>",
"title": "<string>",
"blame": "<string>",
"documentation_url": "<string>",
"trace": "<string>",
"message": "<string>"
},
"model_name": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"tags": {}
}
},
"message": "<string>",
"has_next": true,
"next_url": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Reports
List transfer reports
Retrieve transfer stats. Will return the summary stats of all destinations over the most recent 2 weeks by default.
GET
/
reports
/
transfers
List transfer reports
Authorizations
Query Parameters
Destination ID (or comma-separated list of destination IDs).
Start date of report (in the format YYYY-MM-DD).
End date of report (in the format YYYY-MM-DD).
Number of items to return per page.
Sort order for items
Available options:
asc, desc Used for pagination - represents last page seen. Value is included in response when there is a next page.
⌘I